Bug 74952 - ref-guide makes no mention of fonts.conf only xfs
Summary: ref-guide makes no mention of fonts.conf only xfs
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rhl-rg   
(Show other bugs)
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Johnray Fuller
QA Contact: Tammy Fox
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-03 02:40 UTC by Chris Hubick
Modified: 2007-04-18 16:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-07 22:42:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Hubick 2002-10-03 02:40:07 UTC
The Red Hat 8 manual, Reference Guide, Fonts section, at:

http://www.redhat.com/docs/manuals/linux/RHL-8.0-Manual/ref-guide/s1-x-fonts.html

describes how to configure your fonts under Psyche, but fails to make any
mention of /etc/fonts/fonts.conf !!!

Gah!  Bad!

Comment 1 Chris Hubick 2002-10-03 18:18:38 UTC
"The creation of the fonts.dir file, as well as any other files used by xfs with
these fonts, is beyond the scope of this document."

Note: I take some issue with that statement as well.  I think the scope of the
document may need to be adjusted.  I don't remember seeing this covered in any
of the Redhat Install/Getting Started/Reference guides.  At the very least there
should be a link to an appropriate HOWTO.


Comment 2 Johnray Fuller 2002-10-14 22:14:15 UTC
I will investigate this issue and see about adding it to the next release.

I am leaving this open until a final decision has been made.

Thanks you so much for calling this to my attention.

Johnray

Comment 3 Gene Czarcinski 2002-11-12 21:33:22 UTC
Yes, the whole issue of the two font systems (xfs for legacy applications) and
Xft/fontconfig (for gtk2-gnome2/qt3) needs to be addressed.

Whether this belongs in the reference guide or the configuration guide is
another good question.

In addition, it might me a good idea to incorporate some or the font
direction/strategy that Mike Harris put on the phsyche-list mailing list.

Comment 4 Johnray Fuller 2002-11-13 18:11:49 UTC
I'll search the mailing list archives for Mike's Posts.

This has been added as a feature request for the next version of the Ref Guide,
just so you know.

Thanks a million for catching this. I'll close the bug once the content is
actually written.

Take care,
Johnray

Comment 5 Chris Ricker 2002-11-15 03:36:12 UTC
See also Bug 77705, which I filed against the CG requesting font config info....

Comment 6 Johnray Fuller 2003-02-07 22:42:41 UTC
K, so it's in the next release.

I am closing this bug.

Thank you so much for your help!

Johnray


Note You need to log in before you can comment on or make changes to this bug.